<template>
  <v-app :theme="theme">
    <v-app-bar>
      <v-spacer></v-spacer>

      <v-btn
        :prepend-icon="theme === 'light' ? mdiWeatherSunny : mdiWeatherNight"
        @click="onClick"
        >Toggle Theme</v-btn
      >
    </v-app-bar>
    <v-navigation-drawer expand-on-hover rail permanent>
      <v-list>
        <v-list-item
          prepend-avatar="https://scontent.fbkk23-1.fna.fbcdn.net/v/t1.6435-9/127273732_2067692526698494_8432957825247119408_n.jpg?_nc_cat=110&ccb=1-7&_nc_sid=09cbfe&_nc_eui2=AeFPMa8IMfansFVkg1CNfxWn1S_-zhb4ofzVL_7OFvih_F-6RaBswIzpWjX-U1Pvn4dFHsRD4ssHgYASncdZhYt3&_nc_ohc=N8qdVhBWizQAX_6h00_&_nc_ht=scontent.fbkk23-1.fna&oh=00_AfCgY6-FiRrCVCChNvZNFbc4yfQROdGAXNzzJ52PUYAxsA&oe=63C56134"
          title="Natthachai Jansri"
          subtitle="Aum_js@gmailcom"
        ></v-list-item>
      </v-list>

      <v-divider></v-divider>

      <v-list density="compact" nav>
        <v-list-item
          :prepend-icon="mdiFolder"
          title="My Files"
          value="myfiles"
          to="/my-files-view"
        ></v-list-item>
        <v-list-item
          :prepend-icon="mdiAccountMultiple"
          title="Shared with me"
          value="shared"
          to="/Shared-with-me-view"
        ></v-list-item>
        <v-list-item
          :prepend-icon="mdiStar"
          title="Starred"
          value="starred"
          to="/Starred-view"
        ></v-list-item>
      </v-list>
    </v-navigation-drawer>
    <v-main>
      <router-view> </router-view>
    </v-main>
  </v-app>
</template>

<script setup lang="ts">
import { ref } from "vue";
import {
  mdiWeatherSunny,
  mdiWeatherNight,
  mdiVuetify,
  mdiCursorPointer,
  mdiCheckboxMarkedCircle,
  mdiFolder,
  mdiAccountMultiple,
  mdiStar,
} from "@mdi/js";
const theme = ref("light");

function onClick() {
  theme.value = theme.value === "light" ? "dark" : "light";
}
</script>
